/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __FRAME_BROKER_PRIVATE_H__
#define __FRAME_BROKER_PRIVATE_H__

#include <stdint.h>

#include "frame_broker.h"

void frame_broker_set_frame_context(frame_broker_h handle,
		frame_context_h context);

int frame_broker_launch(frame_broker_h handle, const char *app_id,
		const char *inst_id, int pid, uint32_t *serial);

int frame_broker_launch_with_shared_widget(frame_broker_h handle,
		const char *app_id, const char *inst_id, int pid,
		uint32_t *serial);

int frame_broker_launching(frame_broker_h handle, uint32_t serial);

int frame_broker_launch_cancel(frame_broker_h handle, uint32_t serial);

int frame_broker_launch_done(frame_broker_h handle, uint32_t serial);

#endif /* __FRAME_BROKER_PRIVATE_H__ */
